ListSystemConfig
Returns the system configuration as a list of length 1.
curl --request GET \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-configimport requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-config"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-config"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-config")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"count_response": {
"count": 123
},
"group_response": {
"groups": {}
},
"list": {
"objects": [
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"ai": {
"code_segment_processing": true
},
"analytics": {
"cvss_version": "CVSS_VERSION_UNSPECIFIED",
"enable_approximate_scans": true,
"enable_finding_prioritization": true,
"enable_version_upgrade_prioritization": true
},
"artifactory": {
"enable_streaming": true
},
"cloud_deployment": {
"nat_network_requests": true
},
"endor_ignore": {
"custom_file_names": [
"<string>"
],
"enable": true,
"pr_comments": true
},
"finding_prioritization": {
"factors": {}
},
"logging": {
"enable_remote_logging": true,
"remote_ep": "<string>",
"remote_log_level": "LOG_LEVEL_UNSPECIFIED"
},
"package_firewall": {
"cvss_severity_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"cvss_severity_threshold": "CVSS_SEVERITY_LEVEL_UNSPECIFIED",
"ecosystem_package_manager_uuid": {},
"exceptions": [
{
"ecosystem": "ECOSYSTEM_UNSPECIFIED",
"package_name": "<string>",
"exact_versions": [
"<string>"
],
"version_ranges": [
{
"end": "<string>",
"start": "<string>"
}
]
}
],
"fail_closed": true,
"malware_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"min_age_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"min_age_hours": 123,
"notification_rules": [
{
"name": "<string>",
"notification_target_uuids": [
"<string>"
],
"on_actions": [
"PACKAGE_FIREWALL_ACTION_UNSPECIFIED"
],
"reasons": [
"PACKAGE_FIREWALL_REASON_UNSPECIFIED"
]
}
],
"restricted_license_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"restricted_licenses": [
"<string>"
]
},
"policy": {
"auto_enable": true,
"auto_update": true
},
"sast": {
"enable_code_snippet_storage": true,
"enable_semgrep": true
},
"urgent_notification": {
"email_addresses": [
"<string>"
],
"enable_urgent_notification": true,
"slack_webhook_url": "<string>",
"urgent_notification_threshold": "URGENT_NOTIFICATION_THRESHOLD_UNSPECIFIED"
}
},
"propagate": true,
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}
],
"response": {
"next_page_id": "<string>",
"next_page_token": 123
}
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Query Parameters
String of conditions to filter resources by. Filters may include any attribute along with the following operators: "==", "!=", ">", ">=", "<", "<=", "Contains", "In", "Matches", and "Exists". The logical operators "And" and "Or" are also supported. Expressions may be combined and grouped with parentheses.
Examples: "spec.value == 5", "spec.value in ["a", "b", "c"]", "(meta.name == "xyz" and "spec.value in ["a","b"]) or (spec.value == "c")".
Interval unit by which the objects should be grouped.
GROUP_BY_TIME_INTERVAL_UNSPECIFIED, GROUP_BY_TIME_INTERVAL_YEAR, GROUP_BY_TIME_INTERVAL_QUARTER, GROUP_BY_TIME_INTERVAL_MONTH, GROUP_BY_TIME_INTERVAL_WEEK, GROUP_BY_TIME_INTERVAL_DAY, GROUP_BY_TIME_INTERVAL_HOUR, GROUP_BY_TIME_INTERVAL_MINUTE, GROUP_BY_TIME_INTERVAL_SECOND The mode determines how the matching objects are counted in the produced time-series. Values allowed are: count (default) : is the number of items matching in every interval. sum: is the total number of items matching since the beginning of the aggregation time.
Was this page helpful?
curl --request GET \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-configimport requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-config"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-config"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-config")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"count_response": {
"count": 123
},
"group_response": {
"groups": {}
},
"list": {
"objects": [
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"ai": {
"code_segment_processing": true
},
"analytics": {
"cvss_version": "CVSS_VERSION_UNSPECIFIED",
"enable_approximate_scans": true,
"enable_finding_prioritization": true,
"enable_version_upgrade_prioritization": true
},
"artifactory": {
"enable_streaming": true
},
"cloud_deployment": {
"nat_network_requests": true
},
"endor_ignore": {
"custom_file_names": [
"<string>"
],
"enable": true,
"pr_comments": true
},
"finding_prioritization": {
"factors": {}
},
"logging": {
"enable_remote_logging": true,
"remote_ep": "<string>",
"remote_log_level": "LOG_LEVEL_UNSPECIFIED"
},
"package_firewall": {
"cvss_severity_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"cvss_severity_threshold": "CVSS_SEVERITY_LEVEL_UNSPECIFIED",
"ecosystem_package_manager_uuid": {},
"exceptions": [
{
"ecosystem": "ECOSYSTEM_UNSPECIFIED",
"package_name": "<string>",
"exact_versions": [
"<string>"
],
"version_ranges": [
{
"end": "<string>",
"start": "<string>"
}
]
}
],
"fail_closed": true,
"malware_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"min_age_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"min_age_hours": 123,
"notification_rules": [
{
"name": "<string>",
"notification_target_uuids": [
"<string>"
],
"on_actions": [
"PACKAGE_FIREWALL_ACTION_UNSPECIFIED"
],
"reasons": [
"PACKAGE_FIREWALL_REASON_UNSPECIFIED"
]
}
],
"restricted_license_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"restricted_licenses": [
"<string>"
]
},
"policy": {
"auto_enable": true,
"auto_update": true
},
"sast": {
"enable_code_snippet_storage": true,
"enable_semgrep": true
},
"urgent_notification": {
"email_addresses": [
"<string>"
],
"enable_urgent_notification": true,
"slack_webhook_url": "<string>",
"urgent_notification_threshold": "URGENT_NOTIFICATION_THRESHOLD_UNSPECIFIED"
}
},
"propagate": true,
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}
],
"response": {
"next_page_id": "<string>",
"next_page_token": 123
}
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}